%global pkgvers 0
%global scdate0 20240415
%global schash0 cec8b6dfd3d1c97bc5ccd1d0a41c44e51bc9c1eb
%global branch0 main
%global source0 https://github.com/efabless/libparse-python.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-libparse
Version:        %(curl -s https://raw.githubusercontent.com/efabless/libparse-python/%{schash0}/libparse/__version__.py | grep -m1 version | cut -d'"' -f2 | sed 's|.[a-z,A-Z]||')
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Liberty Parser
License:        GPLv3

URL:            https://github.com/efabless/libparse-python

BuildRequires:  git swig gcc-c++ python3-devel python3-setuptools

%description
This library provides functions to parse, manipulate and format 'Liberty' files.

%package -n     python3-libparse
Summary:        Liberty Parser

%description -n python3-libparse
This library provides functions to parse, manipulate and format 'Liberty' files.



%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git submodule update --init --depth 1 yosys
git log --format=fuller


%build
%py3_build


%install
%py3_install


%files -n python3-libparse
%license yosys/COPYING
%doc Readme.md
%{python3_sitearch}/*


%changelog
* Sat Dec 16 2023 Cristian Balint <cristian.balint@gmail.com>
- github release updates
